| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties

# IG::Num::SampledDataElementDto Class Reference

DTO (data transfer object) for sampled data element (one point with vectors of input and output parameters). More...

Inheritance diagram for IG::Num::SampledDataElementDto:
[legend]
Collaboration diagram for IG::Num::SampledDataElementDto:
[legend]

List of all members.

## Public Member Functions
| SampledDataElementDto ()
override SampledDataElement | CreateObject ()
| Creates and returns an object consistent with current contents of the vector.
## Public Attributes
int | Index
| Idex of the element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out.
## Protected Member Functions
override void | CopyFromPlain (SampledDataElement obj)
override void | CopyToPlain (ref SampledDataElement obj)
## Protected Attributes
VectorDtoBase | _inputParameters
VectorDtoBase | _outputValues
## Properties
virtual VectorDtoBase | InputParameters`[get, set]`
| Vector of input parameters of a single data element.
virtual VectorDtoBase | OutputValues`[get, set]`
| Vector of input parameters of a single data element.

## Detailed Description

DTO (data transfer object) for sampled data element (one point with vectors of input and output parameters).

$A Igor Mar11;

## Constructor & Destructor Documentation

IG::Num::SampledDataElementDto::SampledDataElementDto | ( |  | ) | `[inline]`

## Member Function Documentation

override SampledDataElement IG::Num::SampledDataElementDto::CreateObject | ( |  | ) | `[inline]`

Creates and returns an object consistent with current contents of the vector.

override void IG::Num::SampledDataElementDto::CopyFromPlain | ( | SampledDataElement | obj | ) | `[inline, protected]`

override void IG::Num::SampledDataElementDto::CopyToPlain | ( | ref SampledDataElement | obj | ) | `[inline, protected]`

## Member Data Documentation

int IG::Num::SampledDataElementDto::Index

Idex of the element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out.

VectorDtoBase IG::Num::SampledDataElementDto::_inputParameters`[protected]`

VectorDtoBase IG::Num::SampledDataElementDto::_outputValues`[protected]`

## Property Documentation

virtual VectorDtoBase IG::Num::SampledDataElementDto::InputParameters`[get, set]`

Vector of input parameters of a single data element.

virtual VectorDtoBase IG::Num::SampledDataElementDto::OutputValues`[get, set]`

Vector of input parameters of a single data element.

The documentation for this class was generated from the following file:

- SampledDataDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events